<div class="container">
  <h2>
    <span>Master Supplier</span>
    <button class="btn btn-primary float-right jh-create-entity create-purchasing"
      [routerLink]="['/master-supplier-new']">
      <span class="fa fa-plus"></span>
      <span class="hidden-sm-down"> Buat Master Supplier </span>
    </button>
  </h2>
  <jhi-alert></jhi-alert>
  <br />
  <br />
  <div [hidden]="currentInternal !== 'PBL'">
    <p-accordion>
      <p-accordionTab header="Filter Status Supplier" [selected]="false">
        <div class="row">
          <div class="ui-g-12">
            <div class="col-md-6">
              <div class="form-group">
                <label class="form-control-label" for="field_need">Status Supplier</label>
                <select class="form-control" id="field_need" name="need" [(ngModel)]="inputNeeds">
                  <option [ngValue]="needOption.value" *ngFor="let needOption of needs">
                    {{ needOption.label }}
                  </option>
                </select>
              </div>
              <br />
              <div class="form-group">
                <button pButton type="submit" label="Filter" icon="fa-filter"
                  class="ui-button-primary flat-label-button" (click)="filter()"></button>
                <button pButton label="Reset Filter" icon="fa-refresh" class="ui-button-primary flat-label-button"
                  (click)="reset()"></button>
                <button pButton label="Download" icon="fa-download" class="ui-button-primary flat-label-button"
                  (click)="download()"></button>
              </div>
            </div>
          </div>
        </div>
      </p-accordionTab>
    </p-accordion>
  </div>
  <div class="row">
    <div class="col-sm-12">
      <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
          <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch"
            placeholder="Cari Berdasarkan Kode | Nama Supplier" />
          <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
            <span class="fa fa-search"></span>
          </button>
          <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
            <span class="fa fa-trash-o"></span>
          </button>
        </div>
      </form>
    </div>
  </div>
  <p-dataTable [value]="masterSuppliers" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
    [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first"
    row="itemsPerPage" totalRecords="totalItems" dataKey="idSupplier" expandableRows="false" rowHover="true"
    (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
    <p-header>
      <!-- <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['uom-conversion-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul> -->
    </p-header>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{ 'global.field.sequence' | translate }}" [style]="{ width: '30px', 'text-align': 'center' }">
      <ng-template let-rowIndex="rowIndex" pTemplate="body">
        {{ rowIndex + 1 }}
      </ng-template>
    </p-column>
    <p-column header="Kode Supplier" [style]="{ width: '30px' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.kd_suppnew }}
      </ng-template>
    </p-column>
    <p-column header="Nama Suplier">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.nmSupplier }}
      </ng-template>
    </p-column>
    <p-column header="Lama Kredit">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.tenor }}
      </ng-template>
    </p-column>
    <p-column header="Alamat" [style]="{ 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.almtSupplier1 }} {{ rowData.almtSupplier2 }}
      </ng-template>
    </p-column>
    <p-column header="Telp" [style]="{ 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.telp }}
      </ng-template>
    </p-column>
    <p-column header="Nama PIC 1" [style]="{ 'text-align': 'center', width: '100%' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.person1 }}
      </ng-template>
    </p-column>
    <p-column header="Email" [style]="{ 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.email }}
      </ng-template>
    </p-column>
    <p-column header="NPWP" [style]="{ 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.npwp }}
      </ng-template>
    </p-column>
    <p-column header="Status" [style]="{ 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        {{ rowData.isactive }}
      </ng-template>
    </p-column>
    <p-column header="{{ 'global.field.action' | translate }}" [style]="{ width: '75px', 'text-align': 'center' }">
      <ng-template let-rowData="rowData" pTemplate="body">
        <div>
          <button pButton class="ui-button-primary flat-label-button" icon="fa-pencil" pTooltip="Edit Supplier"
            [routerLink]="['/master-supplier-edit/' + rowData.idSupplier]"></button>
        </div>
        <div>
          <button pButton (click)="delete(rowData.idUomConversion)" icon="fa-remove" pTooltip="Hapus Supplier"
            class="flat-button"></button>
        </div>
      </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
    </ng-template>
  </p-dataTable>
</div>
<div style="margin-top: 10px"></div>
<p-dialog header="Pilih Cetakan" [(visible)]="modalPilihCeteakn" modal="true" [width]="400">
  <form name="Pilih" role="form" novalidate #editForm="ngForm">
    <div>
      <button pButton label="Excel" icon="fa-save" class="ui-button-primary flat-label-button"
        (click)="printExcel()"></button>
      <button pButton label="PDF" icon="fa-save" class="ui-button-primary flat-label-button"
        (click)="printPDF()"></button>
    </div>
  </form>
</p-dialog>
<p-confirmDialog></p-confirmDialog>